Subject: Re: [PATCH v3] doc: hint about GIT_DEBUGGER in CodingGuidelines

From: Emily Shaffer <[email-masked]>
Date: Tue, 28 May 2019 12:05:10 -0700

On Thu, May 23, 2019 at 06:09:17AM -0400, Eric Sunshine wrote:
> On Wed, May 22, 2019 at 8:56 PM Emily Shaffer <[email-masked]> wrote:
> > We check for a handy environment variable GIT_DEBUGGER when running via
> > bin-wrappers/, but this feature is undocumented. Add a hint to how to
> > use it into the CodingGuidelines (which is where other useful
> > environment settings like DEVELOPER are documented).
> >
> > You can use GIT_DEBUGGER to pick gdb by default, or you can hand it your
> > own debugger if you like to use something else (or if you want custom
> > flags for gdb). This commit documents that intent within
> > CodingGuidelines.
> 
> This last sentence is repeating what is already stated in the first
> paragraph, thus doesn't seem to add value. In fact, the remainder of
> the second paragraph seems to be repeating what is in the patch
> proper, thus could likely be dropped.

Yes, you're right. Dropped.

> 
> > Signed-off-by: Emily Shaffer <[email-masked]>
> > ---
> > diff --git a/Documentation/CodingGuidelines b/Documentation/CodingGuidelines
> > @@ -412,6 +412,12 @@ For C programs:
> > + - You can launch gdb around your program using the shorthand GIT_DEBUGGER.
> > +   Run `GIT_DEBUGGER=1 ./bin-wrappers/git foo` to simply use gdb as is, or
> > +   run `GIT_DEBUGGER=my-debugger-binary my-args ./bin-wrappers/git foo` to
> 
> Don't you need to bind my-debugger-binary and my-args together with
> shell quotes? Also, placeholders like these are often ensconced in
> angle brackets, so perhaps:
> 
>     ... `GIT_DEBUGGER="<debugger> <debugger-args>" ./bin-wrappers/git ...

Fixed. I did get the dq in the example but missed it with the
placeholders. :) Thanks, good catch.

> > +   use your own debugger and arguments. Example: `GIT_DEBUGGER="ddd --gdb"
> > +   ./bin-wrappers/git log` (See `wrap-for-bin.sh`.)

Patch update to follow. Thanks.

 - Emily